org.eclipse.rdf4j.http.client

## Interface HttpClientSessionManager

- All Superinterfaces:
    SesameClient
  All Known Implementing Classes:
    SesameClientImpl, SharedHttpClientSessionManager

      public interface HttpClientSessionManager
      extends SesameClient

  Manager for remote HTTP sessions using a `HttpClient`.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDF4JProtocolSession` | `createRDF4JProtocolSession(String serverURL)` Creates a new session to the remote RDF4J REST API.
    `SPARQLProtocolSession` | `createSPARQLProtocolSession(String queryEndpointUrl, String updateEndpointUrl)` Creates a new SPARQL Protocol session to the remote SPARQL endpoint.
    `org.apache.http.client.HttpClient` | `getHttpClient()`
    `void` | `shutDown()` Closes any remaining connections and threads used by the sessions created by this object.

    - ### Methods inherited from interface org.eclipse.rdf4j.http.client.SesameClient

      `createSesameSession, createSparqlSession`

- - ### Method Detail

    - #### getHttpClient

          org.apache.http.client.HttpClient getHttpClient()

      Specified by:
        `getHttpClient` in interface `SesameClient`
      Returns:
        Returns the httpClient.

    - #### createSPARQLProtocolSession

          SPARQLProtocolSession createSPARQLProtocolSession(String queryEndpointUrl,
                                                            String updateEndpointUrl)

      Creates a new SPARQL Protocol session to the remote SPARQL endpoint.
      Specified by:
        `createSPARQLProtocolSession` in interface `SesameClient`

    - #### createRDF4JProtocolSession

          RDF4JProtocolSession createRDF4JProtocolSession(String serverURL)

      Creates a new session to the remote RDF4J REST API.
      Specified by:
        `createRDF4JProtocolSession` in interface `SesameClient`

    - #### shutDown

          void shutDown()

      Closes any remaining connections and threads used by the sessions created by this object.
      Specified by:
        `shutDown` in interface `SesameClient`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.